Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSConnectionFactoryMBean

public interface JMSConnectionFactoryMBean
extends DeploymentMBean, JMSConstants

This bean represents a JMS connection factory.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `getAllowCloseInOnMessage()` Return the value of the stopAndCloseBlockingEnabled attribute for the connection factory.
`java.lang.String` | `getClientId()` Return the client Id for a durable subscriber.
`java.lang.String` | `getDefaultDeliveryMode()` Return the value of the defaultDeliveryMode attribute for the connection factory.
`int` | `getDefaultPriority()` Return the defaultPriority attribute for the connection factory.
`long` | `getDefaultTimeToLive()` Return the value of the defaultTimeToLive attribute for the connection factory.
`java.lang.String` | `getJNDIName()` Return the JNDI name of the JMS ConnectionFactory.
`int` | `getMessagesMaximum()` Return the value of the messagesMaximum attribute for the connection factory.
`java.lang.String` | `getOverrunPolicy()` Return the value of the overrunPolicy attribute for the connection factory.
`long` | `getTransactionTimeout()` Return the value of the transactionTimeout attribute for the connection factory.
`boolean` | `isUserTransactionsEnabled()` Return the value of the userTransactionsEnabled attribute for the connection factory.
`void` | `setAllowCloseInOnMessage(boolean allowCloseInOnMessage)` Set the value of the allowCloseInOnMessage attribute for the connection factory.
`void` | `setClientId(java.lang.String id)` Set the client Id for a durable subscriber uses the ConnectionFactory.
`void` | `setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)` Set the value of the defaultDeliveryMode attribute for the connection factory.
`void` | `setDefaultPriority(int defaultPriority)` Set the value of the defaultPriority attribute for the connection factory.
`void` | `setDefaultTimeToLive(long defaultTimeToLive)` Set the value of the defaultTimeToLive attribute for the connection factory.
`void` | `setJNDIName(java.lang.String name)` Set the JNDI name of the JMS ConnectionFactory.
`void` | `setMessagesMaximum(int messagesMaximum)` Set the value of the messagesMaximum attribute for the connection factory.
`void` | `setOverrunPolicy(java.lang.String policy)` Set the value of the overrunPolicy attribute for the connection factory.
`void` | `setTransactionTimeout(long transactionTimeout)` Set the value of the transactionTimeout attribute for the connection factory.
`void` | `setUserTransactionsEnabled(boolean userTransactionsEnabled)` Set the value of the userTransactionsEnabled attribute for the connection factory.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  Return the JNDI name of the JMS ConnectionFactory.

  Old Property: weblogic.jms.ConnectionFactoryName

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Set the JNDI name of the JMS ConnectionFactory.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getClientId

    public java.lang.String getClientId()

  Return the client Id for a durable subscriber.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setClientId

    public void setClientId(java.lang.String id)
                     throws javax.management.InvalidAttributeValueException

  Set the client Id for a durable subscriber uses the ConnectionFactory.

  A dynamic MBean attribute

### getDefaultPriority

    public int getDefaultPriority()

  Return the defaultPriority attribute for the connection factory. All messages with a priority of -1 that are produced on a connection created with this factory will receive this value.

### setDefaultPriority

    public void setDefaultPriority(int defaultPriority)
                            throws javax.management.InvalidAttributeValueException

  Set the value of the defaultPriority attribute for the connection factory. All messages with a priority of -1 that are produced on a connection created with this factory will receive this value. This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PRIORITY_DEFAULT
  Legal Minimum Value: PRIORITY_MINIMUM
  Legal Maximum Value: PRIORITY_MAXIMUM

### getDefaultTimeToLive

    public long getDefaultTimeToLive()

  Return the value of the defaultTimeToLive attribute for the connection factory. All messages with a timeToLive of -1 that are produced on a connection created with this factory will receive this value expressed in milliseconds.

### setDefaultTimeToLive

    public void setDefaultTimeToLive(long defaultTimeToLive)
                              throws javax.management.InvalidAttributeValueException

  Set the value of the defaultTimeToLive attribute for the connection factory. All messages with a timeToLive of -1 that are produced on a connection created with this factory will receive this value expressed in milliseconds. This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Value: (value >= 0) && (value <= ((1 << 63) -1))
  Legal Minimum Value: 0

### getDefaultDeliveryMode

    public java.lang.String getDefaultDeliveryMode()

  Return the value of the defaultDeliveryMode attribute for the connection factory. All messages with a deliveryMode of null that are produced on a connection created with this factory will receive this value.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setDefaultDeliveryMode

    public void setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)
                                throws javax.management.InvalidAttributeValueException

  Set the value of the defaultDeliveryMode attribute for the connection factory. all messages with a deliveryMode of null that are produced on a connection created with this factory will receive this value. This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PERSISTENT
  Legal Values: PERSISTENT,NON_PERSISTENT

### getTransactionTimeout

    public long getTransactionTimeout()

  Return the value of the transactionTimeout attribute for the connection factory. All transactions on connections created with this connection factory will have this timeout value expressed in seconds.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setTransactionTimeout

    public void setTransactionTimeout(long transactionTimeout)
                               throws javax.management.InvalidAttributeValueException

  Set the value of the transactionTimeout attribute for the connection factory. All transactions on connections created with this connection factory will have this timeout value expressed in seconds. This attribute is dynamic. it can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 3600
  Legal Value: (value >= 0) && (value <= ((1 << 31) -1))
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### isUserTransactionsEnabled

    public boolean isUserTransactionsEnabled()

  Return the value of the userTransactionsEnabled attribute for the connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setUserTransactionsEnabled

    public void setUserTransactionsEnabled(boolean userTransactionsEnabled)
                                    throws javax.management.InvalidAttributeValueException

  Set the value of the userTransactionsEnabled attribute for the connection factory.

  A dynamic MBean attribute
  Default Value: false

### getAllowCloseInOnMessage

    public boolean getAllowCloseInOnMessage()

  Return the value of the stopAndCloseBlockingEnabled attribute for the connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setAllowCloseInOnMessage

    public void setAllowCloseInOnMessage(boolean allowCloseInOnMessage)
                                  throws javax.management.InvalidAttributeValueException

  Set the value of the allowCloseInOnMessage attribute for the connection factory. Setting this to true means you can call stop and close from onMessage without hanging. Setting this to false will cause stop and close to hang if called fron onMessage.

  A dynamic MBean attribute
  Default Value: false

### getMessagesMaximum

    public int getMessagesMaximum()

  Return the value of the messagesMaximum attribute for the connection factory.

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws javax.management.InvalidAttributeValueException

  Set the value of the messagesMaximum attribute for the connection factory. This attribute is dynamic. it can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 10
  Legal Value: (value == -1) || ((value > 0) && (value <= ((1 << 31) -1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getOverrunPolicy

    public java.lang.String getOverrunPolicy()

  Return the value of the overrunPolicy attribute for the connection factory.

### setOverrunPolicy

    public void setOverrunPolicy(java.lang.String policy)
                          throws javax.management.InvalidAttributeValueException

  Set the value of the overrunPolicy attribute for the connection factory. This attribute is dynamic. it can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory. KEEP_OLD KEEP_NEW

  A dynamic MBean attribute
  Default Value: weblogic.management.configuration.JMSConstants.KEEP_OLD
  Legal Values: weblogic.management.configuration.JMSConstants.KEEP_OLD,weblogic.management.configuration.JMSConstants.KEEP_NEW FIXME pcal 02-Oct-00 Something is broken with mbeanc - it isn't picking up the legal values unless the classes are fully-specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD